#note this package is not prefixable
%define name ctags
%define realversion %version
%define url http://prdownloads.sourceforge.net/ctags/

Summary: Generates an index (or "tag") file for objects found in source files. 
Name:    ctags
Version: 5.4
Release: 1mdk
URL: http://ctags.sourceforge.net/
Source: %name-%{realversion}.tar.bz2
License: GPL
Group: Editors
BuildRoot: %_tmppath/%name-%version

%description
The ctags program generate an index (or "tag") file for C, C++, Eiffel,
Fortran, and Java language objects found in files.  This tag file allows
these items to be quickly and easily located by a text editor or other
utility.  A "tag" signifies a language object for which an index entry is
available (or, alternatively, the index entry created for that object).

Alternatively, ctags can generate a cross reference file which lists, in
human readable form, information about the various source objects found in
a set of language files.

%prep
%setup -q -n %name-%realversion

%build
%configure
make

%install
%makeinstall

mv $RPM_BUILD_ROOT/%_bindir/ctags $RPM_BUILD_ROOT/%_bindir/exuberant-ctags
mv $RPM_BUILD_ROOT/%_mandir/man1/ctags.1 $RPM_BUILD_ROOT/%_mandir/man1/exuberant-ctags.1

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%post 
update-alternatives --install %_bindir/ctags ctags %_bindir/exuberant-ctags 10 \
                    --slave %_mandir/man1/ctags.1.bz2 ctags.1.bz2 %_mandir/man1/exuberant-ctags.1.bz2

%postun 
[ $1 = 0 ] || exit 0
update-alternatives --remove ctags %_bindir/exuberant-ctags

%files
%defattr(-,root,root)
%_bindir/exuberant-ctags
%_mandir/man1/exuberant-ctags.1*

%changelog
* Thu Nov 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4-1mdk
- new release
- remove useless prefix

* Sun Apr 14 2002 Yves Duret <yduret@mandrakesoft.com> 5.2.3-2mdk
- added a ctags.1 man page with alternatives (--slave)
  requested by "Michal 'hramrach' Suchanek" <hramrach_l@centrum.cz>

* Thu Mar 28 2002 Warly <warly@mandrakesoft.com> 5.2.3-1mdk
- new version

* Wed Jan  2 2002 Warly <warly@mandrakesoft.com> 5.2.0-1mdk
- new version
- add url tag

* Wed Oct  3 2001 DindinX <odin@mandrakesoft.com> 5.0.1-3mdk
- rebuild (calm down rpminst)

* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 5.0.1-2mdk
- fix alternative executable name (thanks to Alexander Skwar)

* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 5.0.1-1mdk
- 5.0.1
- s/Copyright/License/
- use alternative, so won't conflict with xemacs-extras
  (reported by Alexander Skwar <ASkwar@digitalprojects.com>)

* Wed Oct 18 2000 DindinX <odin@mandrakesoft.com> 4.0.3-1mdk
- 4.0.3
- First release as a standalone package

